Subscriptions Get organization subscription

Returns the subscription for an organization

GET
/billing/api/v1/subscriptions/organizations/{org_id}

Path Parameters

org_idstringrequired

Organization ID


Responses

200
OK

Response Fields:

  • cancel_at_period_end (boolean)

  • current_period_end (string)

  • current_period_start (string)

  • is_lifetime (boolean)

  • organization_id (string)

  • plan_id (string)

  • plan_name (string)

  • price (object)

  • source (string)

  • status (string)

  • trial_end (string)

  • type (string)

Example:

{
  "cancel_at_period_end": true,
  "current_period_end": "string",
  "current_period_start": "string",
  "is_lifetime": true,
  "organization_id": "string",
  "plan_id": "string",
  "plan_name": "string",
  "price": {
    "amount": 0,
    "currency": "string",
    "id": "string",
    "interval": "string",
    "is_default": true
  },
  "source": "string",
  "status": "string",
  "trial_end": "string",
  "type": "string"
}
400
Bad Request

Example:

{
  "key": "value"
}
404
Not Found

Example:

{
  "key": "value"
}